# Uses of Class
org.eclipse.birt.chart.computation.Object3D

Packages that use Object3D
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Object3D in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Object3D
Modifier and Type
Method
Description
`static Object3D`
Engine3D.`getObjectFromEvent(Object event)`
`static Object3D`
Engine3D.`getObjectFromEvent(Object event, boolean bParent)`
`static Object3D`
Engine3D.`getParentObject(Object event)`
`Object3D`
Object3D.`getSharedEdge(Object3D other)`
Methods in org.eclipse.birt.chart.computation with parameters of type Object3D
Modifier and Type
Method
Description
`Object3D`
Object3D.`getSharedEdge(Object3D other)`
`boolean`
Object3D.`testSwap(Object3D near, Engine3D engine)`
Tests if two objects need swapping.
`boolean`
Object3D.`testZOverlap(Object3D near)`
Tests if two objects overlap in Z direction.
Constructors in org.eclipse.birt.chart.computation with parameters of type Object3D
Modifier
Constructor
Description
``
`Object3D(Object3D original)`
Construction by another Object3D object

## Uses of Object3D in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Object3D
Modifier and Type
Method
Description
`Object3D`
Arc3DRenderEvent.`getObject3D()`
`Object3D`
Area3DRenderEvent.`getObject3D()`
`Object3D`
I3DRenderEvent.`getObject3D()`
Returns the 3D object associated with this event.
`Object3D`
Image3DRenderEvent.`getObject3D()`
`Object3D`
Line3DRenderEvent.`getObject3D()`
`Object3D`
Oval3DRenderEvent.`getObject3D()`
`Object3D`
Polygon3DRenderEvent.`getObject3D()`
`Object3D`
Text3DRenderEvent.`getObject3D()`
`Object3D`
Line3DRenderEvent.`getObject3DParent()`
Methods in org.eclipse.birt.chart.event with parameters of type Object3D
Modifier and Type
Method
Description
`void`
Line3DRenderEvent.`setObject3DParent(Object3D object3DParent)`

## Uses of Object3D in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Object3D
Modifier and Type
Method
Description
`Object3D`
AxesRenderer.`getFloor()`
`Object3D`
AxesRenderer.`getLeftWall()`
`Object3D`
AxesRenderer.`getRightWall()`